
D4Science Infrastructure - VM Creation #13112

perform-service development instance

Jan 08, 2019 06:45 PM - Fabio Sinibaldi

Status: Closed Start date: Jan 08, 2019

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: PerformFish   

Infrastructure: Pre-Production Applications list and

version:

 

RAM: 2 Applications context

path:

perform-service

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: LATEST PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube

/gcube/preprod

/gcube/preprod/preVRE

  

Description

A new VM is needed in order to test the new service 'perform-service'.

Such service needs to connect to the VRE's perform-fish-db as manager (see ticket #13111 for database details).

Related issues:

Copied to D4Science Infrastructure - VM Creation #13149: perform-service prod... Closed Jan 08, 2019

History

#1 - Jan 14, 2019 02:09 PM - Fabio Sinibaldi

- Smartgears scopes updated

- Infrastructure Pre-Production added

- Infrastructure deleted (Development)

#2 - Jan 14, 2019 06:09 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 40

new VM perform.dev.d4science.org ready to be provisioned

#3 - Jan 15, 2019 10:58 AM - Andrea Dell'Amico

@fabio.sinibaldi@isti.cnr.it do you already have the maven coordinates to the perform-service artifact?

#4 - Jan 15, 2019 11:06 AM - Fabio Sinibaldi

Yes, Maven coordinates are : 

org.gcube.application

perform-service

We are going to need this service in production by the end of the month, so probably we will need to deploy the artifact from SNAPSHOT repository.

May 02, 2025 1/2



I'm creating a similar ticket for the production VM.

#5 - Jan 15, 2019 11:16 AM - Fabio Sinibaldi

- Copied to VM Creation #13149: perform-service production instance added

#6 - Jan 15, 2019 05:42 PM - Andrea Dell'Amico

- % Done changed from 40 to 90

provisioning is ongoing, but I expect an error identical to the one present in production. See #13149#note-5

#7 - Jan 15, 2019 06:01 PM - Fabio Sinibaldi

Most probably yes. Service's development / testing is still ongoing, so I'm going to run provision frequently in order to perform integration tests /

bugfix. 

#8 - Jan 15, 2019 06:02 PM - Andrea Dell'Amico

Confirm, same error. You have access to both the servers so you can reinstall when ready.

#9 - Jan 23, 2019 06:32 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Powered by TCPDF (www.tcpdf.org)

May 02, 2025 2/2

https://redmine.dev.d4science.org/issues/13149#note-5
http://www.tcpdf.org

